Package org.apache.sysds.runtime.einsum

# Class EOpNodeUnary

java.lang.Object
org.apache.sysds.runtime.einsum.EOpNode
org.apache.sysds.runtime.einsum.EOpNodeUnary

public class EOpNodeUnary extends EOpNode

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`EOpNodeUnary.EUnaryOperand`

## Field Summary

Fields
Modifier and Type
Field
Description
`EOpNode`
`child`

### Fields inherited from class org.apache.sysds.runtime.einsum.EOpNode

`c1, c2, dim1, dim2`

## Constructor Summary

Constructors
Constructor
Description
`EOpNodeUnary(Character c1, Character c2, Integer dim1, Integer dim2, EOpNode child, EOpNodeUnary.EUnaryOperand eUnaryOperand)`

## Method Summary

Modifier and Type
Method
Description
`MatrixBlock`
`computeEOpNode(List<MatrixBlock> inputs, int numOfThreads, org.apache.commons.logging.Log LOG)`
`List<EOpNode>`
`getChildren()`
`EOpNode`
`reorderChildrenAndOptimize(EOpNode parent, Character outChar1, Character outChar2)`
`String`
`toString()`

### Methods inherited from class org.apache.sysds.runtime.einsum.EOpNode

`getOutputString, recursivePrintString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### child

public EOpNode child

## Constructor Details

### EOpNodeUnary

public EOpNodeUnary(Character c1, Character c2, Integer dim1, Integer dim2, EOpNode child, EOpNodeUnary.EUnaryOperand eUnaryOperand)

## Method Details

### getChildren

public List<EOpNode> getChildren()

Specified by:
  `getChildren` in class `EOpNode`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### computeEOpNode

public MatrixBlock computeEOpNode(List<MatrixBlock> inputs, int numOfThreads, org.apache.commons.logging.Log LOG)

Specified by:
  `computeEOpNode` in class `EOpNode`

### reorderChildrenAndOptimize

public EOpNode reorderChildrenAndOptimize(EOpNode parent, Character outChar1, Character outChar2)

Specified by:
  `reorderChildrenAndOptimize` in class `EOpNode`